summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefan Kuhn <Wuodan0@gmail.com>2014-12-25 15:18:18 +0100
committerStefan Kuhn <Wuodan0@gmail.com>2014-12-25 15:18:18 +0100
commitac83c29f57bb6bb702e7c641ffc6aaf686449ec7 (patch)
tree9de75ef6cd94d056371d6fd01266464a39dc46fe /www-plugins/status_4_evar/status_4_evar-2014.07.06.05.ebuild
parentapp-cdr/dumpet: Manifest fix (diff)
downloadwuodan-ac83c29f57bb6bb702e7c641ffc6aaf686449ec7.tar.gz
wuodan-ac83c29f57bb6bb702e7c641ffc6aaf686449ec7.tar.bz2
wuodan-ac83c29f57bb6bb702e7c641ffc6aaf686449ec7.zip
www-plugins plus eclass: added plugins moved from pentoo overlay
Diffstat (limited to 'www-plugins/status_4_evar/status_4_evar-2014.07.06.05.ebuild')
-rw-r--r--www-plugins/status_4_evar/status_4_evar-2014.07.06.05.ebuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/www-plugins/status_4_evar/status_4_evar-2014.07.06.05.ebuild b/www-plugins/status_4_evar/status_4_evar-2014.07.06.05.ebuild
new file mode 100644
index 0000000..c585571
--- /dev/null
+++ b/www-plugins/status_4_evar/status_4_evar-2014.07.06.05.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit mozilla-addon
+
+MOZ_FILEID="265690"
+DESCRIPTION="Status bar widgets and progress indicators for Firefox 4+"
+HOMEPAGE="http://addons.mozilla.org/en-US/firefox/addon/status-4-evar/"
+SRC_URI="http://addons.mozilla.org/downloads/file/${MOZ_FILEID} -> ${P}.xpi"
+
+LICENSE="|| ( MPL-1.1 GPL-2 LGPL-2.1 )"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="+symlink_all_targets target_firefox target_firefox-bin"
+
+# symlink all possible target paths if this is set
+if use symlink_all_targets; then
+ MZA_TARGETS="firefox firefox-bin"
+else
+ use target_firefox && MZA_TARGETS+=" firefox"
+ use target_firefox-bin && MZA_TARGETS+=" firefox-bin"
+fi
+
+RDEPEND="
+ !symlink_all_targets? (
+ target_firefox? ( www-client/firefox )
+ target_firefox-bin? ( www-client/firefox-bin )
+ )"